package com.muyu.engine.domain.model;

/**
 * 一页
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 一页
 * @Version: 1.0
 */
public class DataSetModel {

    // [[DataModel,DataModel,DataModel],[DataModel,DataModel,DataModel]]

    private RecordModel[] recordModelArr = null;

    private DataSetModel(int recordModelLength){
        recordModelArr = new RecordModel[recordModelLength];
    }
    private DataSetModel(RecordModel[] recordModelArr){
        recordModelArr = recordModelArr;
    }

    public static DataSetModel build(int recordModelLength){
        return new DataSetModel(recordModelLength);
    }

    public static DataSetModel build(RecordModel[] recordModelArr){
        return new DataSetModel(recordModelArr);
    }

}
