//package com.muyu.system.controller;
//
//import java.util.List;
//import javax.servlet.http.HttpServletResponse;
//import org.springframework.beans.factory.annotation.Autowired;
//import org.springframework.web.bind.annotation.GetMapping;
//import org.springframework.web.bind.annotation.PostMapping;
//import org.springframework.web.bind.annotation.PutMapping;
//import org.springframework.web.bind.annotation.DeleteMapping;
//import org.springframework.web.bind.annotation.PathVariable;
//import org.springframework.web.bind.annotation.RequestBody;
//import org.springframework.web.bind.annotation.RequestMapping;
//import org.springframework.web.bind.annotation.RestController;
//import com.muyu.common.log.annotation.Log;
//import com.muyu.common.log.enums.BusinessType;
//import com.muyu.common.security.annotation.RequiresPermissions;
//import com.muyu.system.domain.AsNoticeUser;
//import com.muyu.system.service.AsNoticeUserService;
//import com.muyu.common.core.web.controller.BaseController;
//import com.muyu.common.core.domain.Result;
//import com.muyu.common.core.utils.poi.ExcelUtil;
//import com.muyu.common.core.web.page.TableDataInfo;
//
///**
// * 通知公告人员中间Controller
// *
// * @author muyu
// * @date 2024-04-13
// */
//@RestController
//@RequestMapping("/user")
//public class AsNoticeUserController extends BaseController
//{
//    @Autowired
//    private AsNoticeUserService asNoticeUserService;
//
//    /**
//     * 查询通知公告人员中间列表
//     */
//    @RequiresPermissions("system:user:list")
//    @GetMapping("/list")
//    public Result<TableDataInfo<AsNoticeUser>> list(AsNoticeUser asNoticeUser)
//    {
//        startPage();
//        List<AsNoticeUser> list = asNoticeUserService.selectAsNoticeUserList(asNoticeUser);
//        return getDataTable(list);
//    }
//
//    /**
//     * 导出通知公告人员中间列表
//     */
//    @RequiresPermissions("system:user:export")
//    @Log(title = "通知公告人员中间", businessType = BusinessType.EXPORT)
//    @PostMapping("/export")
//    public void export(HttpServletResponse response, AsNoticeUser asNoticeUser)
//    {
//        List<AsNoticeUser> list = asNoticeUserService.selectAsNoticeUserList(asNoticeUser);
//        ExcelUtil<AsNoticeUser> util = new ExcelUtil<AsNoticeUser>(AsNoticeUser.class);
//        util.exportExcel(response, list, "通知公告人员中间数据");
//    }
//
//    /**
//     * 获取通知公告人员中间详细信息
//     */
//    @RequiresPermissions("system:user:query")
//    @GetMapping(value = "/{id}")
//    public Result getInfo(@PathVariable("id") Long id)
//    {
//        return success(asNoticeUserService.selectAsNoticeUserById(id));
//    }
//
//    /**
//     * 新增通知公告人员中间
//     */
//    @RequiresPermissions("system:user:add")
//    @Log(title = "通知公告人员中间", businessType = BusinessType.INSERT)
//    @PostMapping
//    public Result add(@RequestBody AsNoticeUser asNoticeUser)
//    {
//        return toAjax(asNoticeUserService.insertAsNoticeUser(asNoticeUser));
//    }
//
//    /**
//     * 修改通知公告人员中间
//     */
//    @RequiresPermissions("system:user:edit")
//    @Log(title = "通知公告人员中间", businessType = BusinessType.UPDATE)
//    @PutMapping
//    public Result edit(@RequestBody AsNoticeUser asNoticeUser)
//    {
//        return toAjax(asNoticeUserService.updateAsNoticeUser(asNoticeUser));
//    }
//
//    /**
//     * 删除通知公告人员中间
//     */
//    @RequiresPermissions("system:user:remove")
//    @Log(title = "通知公告人员中间", businessType = BusinessType.DELETE)
//	@DeleteMapping("/{ids}")
//    public Result remove(@PathVariable Long[] ids)
//    {
//        return toAjax(asNoticeUserService.deleteAsNoticeUserByIds(ids));
//    }
//}
