package com.muyu.system.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @ClassName AsNoticeUserReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/13 15:05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class AsNoticeUserReq extends BaseEntity {
    /**
     * 公告id
     */
    private Long noticeId;
    /**
     * 公告标题
     */
    private String noticeTitle;
    /**
     * 公告内容
     */
    private String noticeContent;
    /**
     * 公告有效日期
     */
    private Date inDateTime;
    /**
     * 公告类型
     */
    private String noticeType;
    /**
     * 选择部门
     */
    private List<Long> selectedOptions;
    /**
     * 特定接收人
     */
    private List<Long> userCheckedList;
    /**
     * 公告状态
     */
    private String status;
}
