package com.muyu.system.domain.req;

import com.muyu.common.core.web.domain.BaseEntity;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.Date;
import java.util.List;

/**
 * @ClassName AsNoticeUserReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/13 15:05
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class SelectAsNoticeUserReq extends BaseEntity {

    /**
     * 读取状态
     */
    private String readStates;
    /**
     * 公告类型
     */
    private String noticeType;

}
