package com.muyu.system.mapper;

import java.util.List;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.muyu.common.system.domain.SysDept;
import com.muyu.system.domain.AsNoticeUser;

/**
 * 通知公告人员中间Mapper接口
 *
 * @author muyu
 * @date 2024-04-13
 */
public interface AsNoticeUserMapper extends BaseMapper<AsNoticeUser>
{
    /**
     * 查询通知公告人员中间
     *
     * @param id 通知公告人员中间主键
     * @return 通知公告人员中间
     */
    public AsNoticeUser selectAsNoticeUserById(Long id);

    /**
     * 查询通知公告人员中间列表
     *
     * @param asNoticeUser 通知公告人员中间
     * @return 通知公告人员中间集合
     */
    public List<AsNoticeUser> selectAsNoticeUserList(AsNoticeUser asNoticeUser);

    /**
     * 新增通知公告人员中间
     *
     * @param asNoticeUser 通知公告人员中间
     * @return 结果
     */
    public int insertAsNoticeUser(AsNoticeUser asNoticeUser);

    /**
     * 修改通知公告人员中间
     *
     * @param asNoticeUser 通知公告人员中间
     * @return 结果
     */
    public int updateAsNoticeUser(AsNoticeUser asNoticeUser);

    /**
     * 删除通知公告人员中间
     *
     * @param id 通知公告人员中间主键
     * @return 结果
     */
    public int deleteAsNoticeUserById(Long id);

    /**
     * 批量删除通知公告人员中间
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteAsNoticeUserByIds(Long[] ids);
}
