package com.muyu.etl.domain.resp;

import com.muyu.common.core.annotation.Excel;
import com.muyu.etl.domain.DictInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 字典响应对象
 * @ClassName BasicDictResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/24 21:23
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class BasicDictResp {
    private static final long serialVersionUID = 1L;

    /** 主键 */
    private Long id;

    /** 数据接入id */
    private Long basicId;

    /** 字典名称 */
    private String dictName;

    /** 字典类型 */
    private String dictType;


    private List<DictInfo> dictInfoList;

}
