package com.muyu.etl.domain.resp;

import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * 接入--表基础信息（授权）
 *
 * @ClassName BasicTableInfoResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/30 11:58
 */
@Data
@SuperBuilder
@AllArgsConstructor
@NoArgsConstructor
public class BasicTableInfoResp {


    /**
     * 表id
     */
    private Long id;

    /**
     * 接入id
     */
    private Long basicId;

    /**
     * 数据接入名
     */
    private String dataResourceName;

    /**
     * 数据接入系统名
     */
    private String dataSourcesSystemName;

    /**
     * 数据库名
     */
    private String databaseName;

    /**
     * 表名（中文）
     */
    private String tableRemark;

    /**
     * 表明
     */
    private String tableName;

    /**
     * 数据条数
     */
    private Long totalNum;

}
