package com.muyu.etl.domain.resp;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.etl.domain.BasicConfigInfo;
import com.muyu.etl.domain.TableInfo;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

import java.util.List;

/**
 * 树级结构
 * @ClassName TableTreeResp
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/23 8:59
 */
@Data
@SuperBuilder
@NoArgsConstructor
@AllArgsConstructor
public class TableTreeResp {
    @TableId(value = "id",type = IdType.AUTO)
    private Long Id;
    /**
     * 父级信息
     */
    private TableInfo tableInfo;
    /**
     * 链接信息
     */
    private BasicConfigInfo basicConfigInfo;
    /**
     * 子级信息
     */
    private List<TableInfoStructureResp> Children;
}
