package com.muyu.engine.domain.engine.custom;


import com.muyu.engine.domain.engine.action.ActionDiscard;
import com.muyu.engine.domain.engine.scope.DataModelEngine;

/**
 * @Author: DongZeLiang
 * @date: 2024/5/6
 * @Description: 自定义不为空引擎
 * @Version: 1.0
 */
public class IsNotNullEngineCustom extends DataModelEngine {
    @Override
    public void execution () {
        Object value = getValue();

        if (value == null || "".equals(value) || "null".equals(value)) {
            throw new ActionDiscard();
        }
    }
}
