package com.muyu.engine.domain.model;

import lombok.Data;

/**
 * 数据模型
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 数据模型
 * @Version: 1.0
 */
@Data
public class DataModel {

    /**
     * 数据键
     */
    private String key;

    /**
     * 数据值
     */
    private Object value;

    /**
     * 源标准-枚举
     */
    private String sourceType;

    /**
     * 处理标准-枚举
     */
    private String processType;

    /**
     * 处理类型
     */
    private Class<?> processClass;

}
