package com.muyu.engine.domain.model;

/**
 * 记录模型
 * @Author: DongZeLiang
 * @date: 2024/5/5
 * @Description: 记录模型
 * @Version: 1.0
 */
public class RecordModel {
    // [DataModel,DataModel,DataModel]

    private RecordModel(int dataModelLength){
        dataModelArr = new DataModel[dataModelLength];
    }
    private RecordModel(DataModel[] dataModelArr){
        dataModelArr = dataModelArr;
    }

    private DataModel[] dataModelArr = null;

    public static RecordModel build(int dataModelLength){
        return new RecordModel(dataModelLength);
    }

    public static RecordModel build(DataModel[] dataModelArr){
        return new RecordModel(dataModelArr);
    }
}
