package com.muyu.etl.domain.req;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.muyu.common.core.annotation.Excel;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;
import lombok.experimental.SuperBuilder;

/**
 * @ClassName AssetImpowerReq
 * @Description 描述
 * @Author SaiSai.Liu
 * @Date 2024/4/29 14:04
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@SuperBuilder
public class AssetImpowerReq {
    private static final long serialVersionUID = 1L;


    /**
     * 主键
     */
    @TableId(value = "id",type = IdType.AUTO)
    private Long id;

    /**
     * 表id
     */
    @Excel(name = "表id")
    private Long tableId;

    /**
     * 接入id
     */
    @Excel(name = "接入id")
    private Long basicId;

    /**
     * 部门id
     */
    @Excel(name = "部门id")
    private Long deptId;

    /**
     * 用户id
     */
    @Excel(name = "用户id")
    private Long userId;

}
